GET
/v1/sessions/{session_id}/user-kv/{plugin_id}/{key}Account-owned route. Requires account authentication via the taiku_session browser cookie, Authorization: Bearer <api_key>, or X-Taiku-Token: <api_key>, and the authenticated account must own the session.
taiku_session<token>
Authenticated browser session cookie for account-owned routes.
In: cookie
Path Parameters
session_id*string
Current session identifier.
plugin_id*string
Plugin identifier.
key*string
KV entry key.
Response Body
application/json
text/plain
text/plain
text/plain
text/plain
text/plain
text/plain
curl -X GET "/api/v1/sessions/string/user-kv/string/string"{
"defaultShell": "/bin/zsh",
"showHints": true
}"No authenticated user or invalid user ID.""missing authentication""Not the session owner""Session not found""Database error.""Database not available"